automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] Skip the test when Autoconf is too old for ObjC++


From: Peter Breitenlohner
Subject: [PATCH] Skip the test when Autoconf is too old for ObjC++
Date: Sat, 28 Apr 2012 15:35:00 +0200

Signed-off-by: Peter Breitenlohner <address@hidden>
---
 t/objcxx-demo.sh |   12 ++++++++++--
 1 files changed, 10 insertions(+), 2 deletions(-)

diff --git a/t/objcxx-demo.sh b/t/objcxx-demo.sh
index 3baf677..f5e802a 100755
--- a/t/objcxx-demo.sh
+++ b/t/objcxx-demo.sh
@@ -16,10 +16,12 @@
 
 # Demo package using Objective C++ and doing distcheck.
 
-required='c c++'
+required='cc c++'
 . ./defs || Exit 1
 
 cat >> configure.ac << 'END'
+# Objective C++ requires Autoconf 2.65 (2009-11-21)
+AC_PREREQ([2.65])
 AC_PROG_CC
 AC_PROG_CXX
 AC_PROG_OBJC
@@ -49,7 +51,13 @@ echo '/* */' >> playobjc.m
 
 echo '//' >> playobjcxx.mm
 
-$ACLOCAL
+$ACLOCAL || {
+  if test $? -eq 63; then
+    exit 77
+  else
+    exit $?
+  fi
+}
 $AUTOCONF
 $AUTOHEADER
 $AUTOMAKE --add-missing
-- 
1.7.3.1




reply via email to

[Prev in Thread] Current Thread [Next in Thread]